# vim: set sw=4 ts=4 et:
# Copyright (c) 2007-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

%define pkg_version	RM22rev2

Name:           mp4als
Summary:        MPEG-4 Audio Lossless Coding
Version:        rm22r2
Release:        1.4
License:        see readme.txt
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://www.nue.tu-berlin.de/forschung/projekte/lossless/mp4als.html
# http://www.nue.tu-berlin.de/forschung/projekte/lossless/%{name}%{pkg_version}.zip
Source:         %{name}%{pkg_version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  unzip

%description
Lossless coding is the latest extension of the MPEG-4 audio
standard. The MPEG audio subgroup has recently finalized the
standardization of lossless coding techniques for high-definition
audio signals. As an extension to MPEG-4 audio, the 'MPEG-4 Audio
Lossless Coding (ALS)' standard defines methods for lossless
coding.

MPEG-4 ALS defines efficient and fast lossless audio compression
techniques for both professional and consumer applications. It
offers many features not included in other lossless compression
schemes.

* General support for virtually any uncompressed digital audio
format (including wav, aiff, au, bwf, raw).
* Support for PCM resolutions of up to 32-bit at arbitrary sampling
rate (including 16/44.1, 16/48, 24/48, 24/96, 24/192).
* Multi-channel / multi-track support for up to 65536 channels
(including 5.1 surround).
* Support for 32-bit IEEE floating point audio data.
* Fast random access to any part of the encoded data.
* Optional storage in MP4 file format (allows multiplex with video).
* High flexibility of codec parameters for various applications.

%prep
%setup -q -n %{name}%{pkg_version}
%__sed -i 's/\r//g' *.txt

# error: first argument of 'int main(short int, char**)' should be 'int'
#	%__sed -i -e 's|main(short argc, |main(int argc, |g' \
#		src/mp4als.cpp

%build
%__make %{?_smp_flags} linux

%install
%__install -dm 755 %{buildroot}%{_bindir}
%__install -m 755 bin/linux/%{name}%{pkg_version} \
    %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
    ln -s %{name}%{pkg_version} %{name}
popd

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-,root,root)
%doc *.txt
%{_bindir}/mp4als
%{_bindir}/mp4als%{pkg_version}

%changelog
* Fri Mar 27 2009 toni@links2linux.de
- update to RM22 rev2
* Tue Nov 11 2008 toni@links2linux.de
- update to rm22
* Sat May 31 2008 toni@links2linux.de
- update to rm21
* Mon Mar 31 2008 toni@links2linux.de
- update to rm20
* Sat Nov 17 2007 toni@links2linux.de
- update to rm19
* Fri Jun  1 2007 toni@links2linux.de
- initail release rm18
